h19531
s 00056/00000/00000
d D 1.1 83/03/23 16:15:24 bog 1 0
c date and time created 83/03/23 16:15:24 by bog
e
u
4
U
t
T
I 1
#############################################################################
#									    #
#	This material is confidential and is furnished under		    #
#	a written license agreement.  It may not be used,		    #
#	copied or disclosed to others except in accordance		    #
#	with the terms of that agreement.				    #
#									    #
#	Copyright (C) 1982 Graphic Software Systems, Inc.		    #
#	All rights reserved.						    #
#									    #
#############################################################################
#									    #
#	Function:  							    #
#		Subroutine EmAsci (Ch)					    #
#			Input	Ch:	Character in [SPACE..DEL]	    #
#		    Emulate all Ascii characters			    #
#									    #
#	Called By:							    #
#									    #
#	Routines Called:						    #
#									    #
#############################################################################
 
Subroutine EmAsci(Ch)
CHARACTER Ch
 
BEGINCOMMON
COMMON(BEAMSTATE)
COMMON(STRAPS)
ENDCOMMON
 
If (Ch < SPACE) {		# Control character
  If (Ch == LF) {
    If (LfCr) {
      Call EmCntl(Ch)
      Ch = CR
      }
    }
   Else If (Ch == CR) {
    If (CrLf) {
      Call EmCntl(Ch)
      Ch = LF
      }
    }
  Call EmCntl(Ch)
  }
 Else If ((Ch != DEL) | DelLoY) {
  If (LCE) {
    Call EmEscN(Ch)		# Do <Esc> <non-control>
    }
  Else {
    Call EmAlGr(Ch)
    }
  }
 
End
E 1
